ruby-on-rails - 无法连接到Heroku API,请检查互联网连接,然后重试

ruby-on-rails - 无法连接到Heroku API,请检查互联网连接,然后重试,第1张

我收到了这个错误,但显然我已经联系了!我15小时前和Heroku订了一张票,但没有得到回应。

C:\>heroku config
Enter your Heroku credentials.
Email: myemail@mydomain
Password (typing will be hidden):
 !    Unable to connect to Heroku API, please check internet connectivity and try again.

$ heroku status
 !    Unable to connect to Heroku API, please check internet connectivity and try again.

我甚至重新安装了Heroku客户端。当这个问题通过Git发生时我甚至推到了Heroku。

最佳答案:

5 个答案:

答案 0 :(得分:19)

这是因为缺少证书颁发机构文件。环境变量指向的是一个不存在的文件。

SSL_CERT_FILE=C:\ruby200\cacert.pem

我希望它给出了错误信息。

答案 1 :(得分:1)

对于那些使用cloud9 IDE的新手。发布此内容令人尴尬,但它可能有助于刷新浏览器(如果使用cloud9 IDE)。有时,Cloud9在连接方面存在小问题。

答案 2 :(得分:0)

This other SO answer solved it for me

基本上,我的heroku遥控器丢失了。

  

如果没有设置远程分支,请执行heroku git:remote -a my-app-name,它应该配置它。

答案 3 :(得分:0)

如果上述答案(正确)仍然不清楚,我想再提供一点澄清。要解决此问题,请通过开始菜单查找“环境变量”。在底部,您将看到系统变量列表。如果您看到SSL_CERT_FILE,请按照路径查看值路径是否确实存在。

在我的情况下,我已经移动了一堆文件,所以它不再在正确的位置。我找到了替换cacert.pem文件并替换了不正确的值。这解决了连接问题。

答案 4 :(得分:0)

对我来说,这是因为我使用的是旧版本的Heroku CLI / Toolbelt。即使在运行heroku update之后,它仍然停留在3.12.1版本。

要解决此问题,我刚刚卸载了该旧版本,并从以下位置安装了最新版本:https://devcenter.heroku.com/articles/heroku-cli

本文经用户投稿或网站收集转载,如有侵权请联系本站。

发表评论

0条回复